QGIS Application - Bug report #9674
WFS GetFeature Request does not return features
2014-02-27 03:22 AM - René-Luc RelLuc

Status: Closed

Priority: Severe/Regression

Assignee: René-Luc RelLuc

Category: QGIS Server

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18241
Description

The GetFeature Request does not return elements.

The response of the request is valid but with a bbox : 0,0,0,0 and no features.
The simple request :

- SERVICE=WFS

- VERSION=1.0.0

- REQUEST=GeTFeature

- TYPENAME=

- OUTPUTFORMAT=*

returns no features.

History

#1 - 2014-02-27 04:10 AM - Jukka Rahkonen

Does TYPENAME= mean that you do not give a typename?

#2 - 2014-02-27 04:16 AM - René-Luc ReLuc

No, | had to write TYPENAME=" with the right typename.

The bug is not with all layers. We made more tests. QGIS-Server is not broken with spatialite layers and is broken with ESRI ShapeFile layers.

#3 - 2014-02-28 08:20 AM - René-Luc ReLuc
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in commit:ccde1d48d8efc867724a2d680e524¢c6443321fe9

Cherry-picking for release 2.2 ?

#4 - 2014-04-10 06:19 AM - Jurgen Fischer

René-Luc Rel.uc wrote:
Fixed in ccde1d48d8efc867724a2d680e524c6443321fe9

Cherry-picking for release 2.2 ?

done as commit:4522334bfab76030676e47037a401abdb5e6dd58
